# $Revision: 1.69 $, $Date: 2012/03/20 17:24:36 $
Summary:	A Jabber client written in PyGTK
Summary(pl.UTF-8):	Klient Jabbera napisany w PyGTK
Name:		gajim
Version:	0.15
Release:	1
Epoch:		1
License:	GPL v3+
Group:		Applications/Communications
Source0:	http://gajim.org/downloads/0.15/%{name}-%{version}.tar.bz2
# Source0-md5:	22bc064cb35c36b4b65c40cd9b2338eb
URL:		http://www.gajim.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtkspell-devel
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel >= 2.8.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.177
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
Requires:	hicolor-icon-theme
Requires:	python-modules-sqlite
%pyrequires_eq	python-modules
%pyrequires_eq	python
BuildConflicts:	gnustep-gui-devel
Requires:	python-dns
Requires:	python-docutils >= 0.4-2
Requires:	python-pygtk-glade >= 2.8.0
Suggests:	dbus(org.freedesktop.Notifications)
Suggests:	gnome-keyring
Suggests:	gnupg2
Suggests:	gpgme >= 1.0.0
Suggests:	python-Crypto
Suggests:	python-avahi
Suggests:	python-dbus >= 0.82.1
Suggests:	python-farsight2
Suggests:	python-gnome-desktop-keyring
Suggests:	python-gnome-gconf
Suggests:	python-gnome-ui
Suggests:	python-gstreamer
Suggests:	python-pyOpenSSL >= 0.9
Suggests:	python-pyasn1
Suggests:	python-sexy
Suggests:	python-sqlite
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gajim is a Jabber client written in PyGTK. The goal of Gajim's
developers is to provide a full featured and easy to use XMPP client
for the GTK+ users. Gajim does not require GNOME to run, eventhough it
exists with it nicely.

%description -l pl.UTF-8
Gajim to klient Jabbera napisany w PyGTK. Celem twórców Gajima jest
dostarczenie w pełni funkcjonalnego i łatwego w użyciu klienta XMPP
dla użytkowników GTK+. Gajim nie wymaga do działania GNOME, choć
działa z nim ładnie.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal} -I m4
%{__libtoolize}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix} \
	LIBDIR=/%{_lib}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=/%{_lib} \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/no

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
       mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS THANKS.artists
%attr(755,root,root) %{_bindir}/gajim*
%{_datadir}/%{name}
%{_desktopdir}/gajim.desktop
%{_mandir}/man1/*.1*
%{_iconsdir}/hicolor/64x64/apps/gajim.png
%{_iconsdir}/hicolor/scalable/apps/gajim.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gajim.spec,v $
Revision 1.69  2012/03/20 17:24:36  cactus
- fix merge from DEVEL

Revision 1.68  2012/03/20 17:07:52  megabajt
- updated to 0.15; merged changes from DEVEL
- removed -keyring-bug.patch (applied upstream)

Revision 1.64.2.3  2011/09/08 08:32:45  lisu
- no docs

Revision 1.64.2.2  2011/09/08 08:21:53  lisu
- updated to 0.15-alpha1
- merged some changes from HEAD

Revision 1.67  2011/07/29 20:39:47  lisu
- works fine, rel 1

Revision 1.66  2011/07/29 20:30:54  lisu
- updated to 0.14.4
- use __rm macro and drop obsoleted
- more verbose files
- update and re-enable keyring-bug.patch

Revision 1.65  2011/06/11 05:40:45  marti
- up to 0.14.2

Revision 1.64.2.1  2011/05/31 19:51:31  wrobell
- snap 0.15 20110531

Revision 1.64  2011/05/02 13:34:56  wrobell
- one sqlite module shall be enough, ver. 0.2

Revision 1.63  2010/10/31 09:06:45  qwiat
- updated to 0.14.1
- 0.1 rel: no Icon "visible" (.desktop file) and patch %{name}-keyring-bug.patch has to be verified

Revision 1.62  2010/10/27 10:27:17  emes
- added patch: the default keyring is 'login', not 'default'

Revision 1.61  2010/09/24 23:49:32  emes
- requires pyOpenSSL >= 0.9

Revision 1.60  2010/04/30 18:55:09  duddits
- up to 0.13.4

Revision 1.59  2010/02/13 21:10:18  rotom
- up to 0.13.2

Revision 1.58  2009/12/01 07:28:57  paszczus
- updated to 0.13.1

Revision 1.57  2009/12/01 01:13:03  sparky
- BR: pkgconfig

Revision 1.56  2009/08/18 09:45:26  paszczus
- updated to 0.12.5

Revision 1.55  2009/07/05 18:18:33  pawelz
- dropped S: notification-daemon
- S: dbus(org.freedesktop.Notifications)
- rel 2

Revision 1.54  2009/06/16 08:20:16  paszczus
- updated to 0.12.3

Revision 1.53  2009/06/09 07:26:19  paszczus
- updated to 0.12.2
- added R: python-modules-sqlite

Revision 1.52  2009/06/09 07:18:53  paszczus
- reverted

Revision 1.50  2009/02/28 20:03:13  pawelz
- BC: gnustep-gui-devel (see TODO)

Revision 1.49  2008/12/21 15:14:23  patrys
- 0.12.1

Revision 1.48  2008/12/18 07:53:35  paszczus
- proper merge from DEVEL (final 0.12)

Revision 1.21.2.66  2008/12/18 07:41:46  paszczus
- updated to FINAL 0.12

Revision 1.21.2.65  2008/11/12 21:59:52  paszczus
- updated to 0.12beta1

Revision 1.21.2.64  2008/08/28 17:14:13  paszczus
- more Suggests

Revision 1.21.2.63  2008/08/27 06:54:40  paszczus
- added S: python-Crypto

Revision 1.21.2.62  2008/08/12 13:18:29  paszczus
- updated to 0.12-alpha1

Revision 1.21.2.61  2008/08/11 09:25:49  paszczus
- added S: gnome-keyring and updated to 2008-08-11 snap

Revision 1.21.2.60  2008/08/10 12:12:18  paszczus
- updated to latest snapshot [2008-08-10]; added BR: readline-devel

Revision 1.21.2.59  2008/07/31 16:06:19  qboosh
- killed bogus -devel

Revision 1.21.2.58  2008/07/31 06:07:41  paszczus
- updated to latest snap [20080731] - important changes
- added -devel subpackage
- cool version, if you are using Gajim, you should try it! :)

Revision 1.21.2.57  2008/07/22 07:33:22  paszczus
- updated to 0.11.4.4 snap 20070829
- merged changes from HEAD

Revision 1.21.2.56  2007/08/30 21:09:57  patrys
- current snap

Revision 1.21.2.55  2007/08/04 19:23:03  patrys
- new snap

Revision 1.21.2.54  2007/08/01 16:25:33  patrys
- new snap
- epoch 1

Revision 1.21.2.53  2007/07/31 22:18:11  dzeus
- missing BR: xorg-lib-libSM-devel

Revision 1.21.2.52  2007/07/30 13:20:31  patrys
- versioned S:

Revision 1.21.2.51  2007/07/30 12:50:31  patrys
- current snap
- S: python-pyOpenSSL

Revision 1.21.2.50  2007/07/07 19:40:00  patrys
- current snap

Revision 1.21.2.49  2007/02/12 13:20:12  baggins
- converted to UTF-8

Revision 1.21.2.48  2006/12/19 13:01:56  patrys
- 0.11

Revision 1.21.2.47  2006/12/04 15:53:59  patrys
- updated banner

Revision 1.21.2.46  2006/12/04 13:28:46  patrys
- current snap

Revision 1.21.2.45  2006/11/30 13:45:41  patrys
- new snap

Revision 1.21.2.44  2006/11/23 10:07:45  patrys
- current snap

Revision 1.21.2.43  2006/11/22 12:09:01  patrys
- new snap

Revision 1.21.2.42  2006/10/27 08:59:39  patrys
- up to current snapshot
- yes, version is lower, don't touch epoch on DEVEL

Revision 1.21.2.41  2006/10/12 11:09:09  qboosh
- BR: ac,am,lt

Revision 1.21.2.40  2006/10/12 10:06:29  patrys
- added avahi-discover to banner

Revision 1.21.2.39  2006/10/12 09:05:01  patrys
- latest snap
- internal version is now 0.11.0
- autotools support

Revision 1.21.2.38  2006/10/04 18:37:13  patrys
- proper R:

Revision 1.21.2.37  2006/10/04 18:25:29  patrys
- current snap

Revision 1.21.2.36  2006/09/11 08:34:30  patrys
- current snap

Revision 1.21.2.35  2006/09/03 21:24:37  patrys
- current snap

Revision 1.21.2.34  2006/07/30 08:37:25  patrys
- up to current snap

Revision 1.21.2.33  2006/07/05 08:18:11  patrys
- latest snap

Revision 1.21.2.32  2006/06/27 10:49:35  patrys
- current snap

Revision 1.21.2.31  2006/06/18 20:21:04  patrys
- current snapshot

Revision 1.21.2.30  2006/06/15 08:40:23  patrys
- current snap

Revision 1.21.2.29  2006/06/07 18:56:01  patrys
- current snap

Revision 1.21.2.28  2006/06/04 12:30:32  aflinta
- removed "no" locale
- rel. up

Revision 1.21.2.27  2006/05/30 17:30:03  patrys
- fix dir (wrong commit)

Revision 1.21.2.26  2006/05/30 17:26:59  patrys
- oops, ver up

Revision 1.21.2.25  2006/05/30 17:26:04  patrys
- up to 20060530

Revision 1.21.2.24  2006/04/14 01:44:34  japhy
- BR: rpm-pythonprov

Revision 1.21.2.23  2006/04/11 23:46:40  japhy
- Up to current snapshot, pull snapshots from gajim's site.

Revision 1.21.2.22  2006/03/28 19:00:31  patrys
- new snapshot

Revision 1.21.2.21  2006/03/21 17:29:18  japhy
- Typo fix.

Revision 1.21.2.20  2006/03/21 15:50:46  japhy
- Add workaround for infinite <presence type='subscribed'/> confirmation loop with certain Jabber servers.

Revision 1.21.2.19  2006/03/19 15:05:49  patrys
- new snapshot

Revision 1.21.2.18  2006/03/16 18:38:19  patrys
- R: xorg-lib-libXScrnSaver-devel

Revision 1.21.2.17  2006/03/16 14:17:41  patrys
- latest snap

Revision 1.26  2005/12/27 16:18:54  patrys
- up to 0.9.1 bugfix release
- typos patch now merged

Revision 1.25  2005/12/23 23:56:26  arekm
- rel 2; fix typos in code

Revision 1.24  2005/12/23 23:36:06  arekm
- fix build

Revision 1.23  2005/12/23 15:06:15  patrys
- merged from DEVEL

Revision 1.21.2.16  2005/12/23 14:55:07  patrys
- up to 0.9 final

Revision 1.21.2.15  2005/12/14 19:16:11  paladine
- 2005-12-14 snap

Revision 1.21.2.14  2005/12/11 18:23:45  paladine
- moved R: python-sqlite to banner

Revision 1.21.2.13  2005/12/11 18:11:06  aflinta
- up to snap 2005-12-11

Revision 1.21.2.12  2005/11/16 15:23:19  paladine
- fixed Rs (gajim is GTK+ app and there is egg and gtkspell distributed
  with gajim)
- added banner
- rel 0.snap.2

Revision 1.21.2.11  2005/11/16 08:36:45  paladine
- 2005-11-16 snap
- removed R: python-gnome-vfs (missing somewhere else)
- proper license

Revision 1.21.2.10  2005/11/13 23:35:50  patrys
- added missing R: python-gnome-vfs

Revision 1.21.2.9  2005/11/09 07:30:56  paladine
- 2005-11-09 snap

Revision 1.21.2.8  2005/10/31 13:36:09  paladine
- 2005-10-31 snap

Revision 1.21.2.7  2005/10/30 10:47:21  paladine
- 2005-10-30 snap

Revision 1.21.2.6  2005/10/23 13:28:14  paladine
- md5

Revision 1.21.2.5  2005/10/23 13:21:04  paladine
- 2005-10-23 snap

Revision 1.21.2.4  2005/09/15 08:11:39  paladine
- 2005-09-15 snap
  - new commands in groupchat
  - tooltip for account line in roster
  - chatstate notification in groupchat

Revision 1.21.2.3  2005/09/12 06:25:54  paladine
- 2005-09-12 snap
  - session management support
  - progres bar, est. time and speed in file transfer window
  - xmpp gajim-remote url-handler in GNOME (works if you have one account)
  - new commands in gajim-remote

Revision 1.21.2.2  2005/09/07 10:40:14  paladine
- proper license

Revision 1.21.2.1  2005/09/07 07:39:51  paladine
- 2005-09-07 snap
  - tooltips in group chat
  - tabs position can be changed
  - chatstate notifications in tabs

Revision 1.21  2005/09/06 17:10:20  paladine
- updated to 0.8.2
- removed all patches (included in sources)
- locales moved to proper place (use find_lang macro)

Revision 1.20  2005/09/04 23:21:09  paladine
- removed run patch
- fixed perms for gajim.py (thx qboosh and nkour)

Revision 1.19  2005/09/04 11:12:38  paladine
- added dbus_version patch
- updated remote patch
- works for me, rel. 1

Revision 1.18  2005/09/04 09:32:17  aflinta
- seems to be working, rel 0.2

Revision 1.17  2005/09/03 16:44:28  aflinta
- ups, wrong release, NFY

Revision 1.16  2005/09/03 16:33:34  aflinta
- 0.8.1

Revision 1.15  2005/08/19 11:11:45  paladine
- added remote patch
- added R: python-dbus
- gajim-remote works :)
- rel. 2

Revision 1.14  2005/08/19 10:28:07  paladine
- new 0.8 tarball

Revision 1.13  2005/08/19 08:37:54  paladine
- added todo

Revision 1.12  2005/08/19 07:35:44  paladine
- merged from DEVEL and updated to final 0.8

Revision 1.11.2.1  2005/08/14 15:38:19  paladine
- updated to 0.8-pre-1
- updated makefile patch

Revision 1.11  2005/06/15 13:13:05  glen
- BR gettext-devel

Revision 1.10  2005/06/15 13:11:04  undefine
- use _lib, not _libdir

Revision 1.9  2005/06/15 13:08:05  undefine
- cleanup

Revision 1.8  2005/06/15 12:58:28  koorek
- fix for amd64 build

Revision 1.7  2005/06/15 08:40:06  koorek
- a little bit modified SRV.patch
- R: python-dns (not really needed but without it SRV does not work)
- rel. 1 seems to work ok

Revision 1.6  2005/06/05 16:53:19  koorek
- up to 0.7.1

Revision 1.5  2005/06/04 15:53:12  jpc
- up to 20050604 snap (just before the 0.7.1 release)

Revision 1.4  2005/06/04 14:16:38  koorek
- COPYING file is needed to open about dialog

Revision 1.3  2005/06/03 20:38:08  jpc
- added a patch:
  mostly hacks but now SRV works and it even succesfully connects
  to jabber.kernel.pl
- rel 0.2

Revision 1.2  2005/06/03 19:30:52  qboosh
- pl, cosmetics

Revision 1.1  2005/06/02 23:03:51  jpc
- new spec
- tried both 0.7 and latest snap and both hang trying to connect
  could someone confirm it?
